QGIS Application - Bug report #5553
If PostGIS database has many layers then listing/adding can take a lot of time
2012-05-08 06:07 AM - Victor Mensing

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 15141
Description

When adding a new postgis Theme in version 1.7.4 all works fine. In this version the themes are black and | able to click some and add
them into my project.

In 1.8.0 (RC1) (OSGEO4W - installation) the tables with an geometry column stay gray untill QGIS has analized what kind of geometry is
stored in the table. If you have a lot of themes and like to add the last theme it takes too long to wait for. It should be better to let them
clickable and do the analyse only if you like to add the table into your project (like in version 1.7.4)

History

#1 - 2012-05-09 02:57 AM - Giovanni Manghi
- Subject changed from Slow response on adding new theme from Postgres to If PostGIS database has many layers then listing/adding can take a lot of

time

#2 - 2012-09-04 12:09 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#3 - 2014-06-21 03:38 AM - Jiirgen Fischer
- Category set to Data Provider/PostGIS

#4 - 2014-06-22 11:27 AM - Giovanni Manghi

- Status changed from Open to Feedback

still true?

#5 - 2014-06-28 07:42 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2014-10-11 07:21 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
